<?php

namespace Application\Controller;

use Zend\Mvc\Controller\Plugin\AbstractPlugin;
use Zend\Http\Request;

class AuthorisationController extends AbstractPlugin {

    private $AUTHORISATION_HEADER = 'KQ53knZKLrTRJDeSqfzZfgeAxz3HMqZTxgFndZwrcbppNP9jSkvZPZJatvKUdzf4';

    public function isAuthorisationValid(Request $request) {
        // Get header
        $headers = $request->getHeaders();
        $authorisationHeader = $headers->get('authorization');

        // Check if header is given
        if (!$authorisationHeader) {
            return false;
        }

        // Get header value
        $authorisationHeaderValue = $authorisationHeader->getFieldValue();

        // Check if matches authorisation token
        if($authorisationHeaderValue === $this->AUTHORISATION_HEADER) {
            return true;
        }
        return false;
    }

}

?>