<?php
return array(
    'controllers' => array(
        'invokables' => array(
            'Quantity\Controller\Quantity' => 'Quantity\Controller\QuantityController',
            'Quantity\Controller\StockLevel' => 'Quantity\Controller\StockLevelController',
        ),
    ),
    'router' => array(
        'routes' => array(
            'quantity' => array(
                'type'    => 'Segment',
                'options' => array(
                    // Change this to something specific to your module
                    'route'    => '/quantity[/:id]',
                    'defaults' => array(
                        // Change this value to reflect the namespace in which
                        // the controllers for your module are found
                        '__NAMESPACE__' => 'Quantity\Controller',
                        'controller'    => 'Quantity',
                    ),
                    'constraints' => array(
//                         'id'     => '[a-zA-Z][a-zA-Z0-9_-]*',
                    ),
                ),
            ),
            'stock-level' => array(
                'type'    => 'Segment',
                'options' => array(
                    // Change this to something specific to your module
                    'route'    => '/stock-level',
                    'defaults' => array(
                        // Change this value to reflect the namespace in which
                        // the controllers for your module are found
                        '__NAMESPACE__' => 'Quantity\Controller',
                        'controller'    => 'StockLevel',
                        'action' => 'index'
                    ),
                    'constraints' => array(
                        'action'     => 'index',
                    ),
                ),
            ),
        ),
    ),
    'view_manager' => array(
        'template_path_stack' => array(
            'StockLevel' => __DIR__ . '/../view',
        ),
        'strategies' => array(
            'ViewJsonStrategy',
        ),
    ),
);
